Skip to main content
GET
/
v1
/
views
TypeScript SDK
import { Client } from "@notionhq/client"

const notion = new Client({ auth: process.env.NOTION_API_KEY })

const response = await notion.views.list({
  database_id: "248104cd-477e-80fd-b757-e945d38000bd"
})
{
  "object": "<string>",
  "next_cursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": true,
  "results": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "type": "<string>",
  "view": {},
  "request_status": {
    "type": "complete",
    "incomplete_reason": "<string>"
  }
}
Returns a paginated list of View references for the specified database.
Connection capabilitiesThis endpoint requires a connection to have read content capabilities. For more information on connection capabilities, see the capabilities guide.

Errors

Returns a 404 HTTP response if the database doesn’t exist, or if the connection doesn’t have access. Returns a 400 or 429 HTTP response if the request exceeds the request limits.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The API version to use for this request. The latest version is 2026-03-11.

Available options:
2026-03-11

Query Parameters

database_id
string

ID of a Notion database (collection view block) to list views for. At least one of database_id or data_source_id is required.

data_source_id
string

ID of a data source (collection) to list all views for, including linked views across the workspace. At least one of database_id or data_source_id is required.

start_cursor
string

If supplied, this endpoint will return a page of results starting after the cursor provided. If not supplied, this endpoint will return the first page of results.

page_size
integer

The number of items from the full list desired in the response. Maximum: 100

Required range: 1 <= x <= 100

Response

object
string
required

Always list

Allowed value: "list"
next_cursor
string<uuid> | null
required
has_more
boolean
required
results
object[]
required
type
string
required

Always view

Allowed value: "view"
view
object
required
request_status
object